Skip to main content
GET
Get Chunk

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Path Parameters

chunk_id
string
required

Chunk ID

Query Parameters

include_embedding
boolean
default:false

Include embedding vector in response

Response

Successful Response

Response model for a single chunk.

id
string
required

Unique chunk ID

content_id
string
required

Parent content ID

collection_id
string
required

Collection ID

content
string
required

Chunk text content

metadata
Metadata · object

Chunk metadata

chunk_index
integer | null

Index of this chunk within the document

size
integer | null

Size of chunk in bytes

created_at
integer | null

Creation timestamp